Bug 669243 - [abrt] kdeutils-printer-applet-6:4.5.95-1.fc15: uiparser.py:161:createWidget:AttributeError: 'module' object has no attribute 'StackedWidget'
[abrt] kdeutils-printer-applet-6:4.5.95-1.fc15: uiparser.py:161:createWidget:...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
rawhide
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:e5147c89
:
Depends On: 668289
Blocks: F15Blocker-kde
  Show dependency treegraph
 
Reported: 2011-01-12 19:37 EST by satellitgo
Modified: 2011-03-10 09:03 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 09:03:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2011-01-12 19:37 EST, satellitgo
no flags Details

  None (edit)
Description satellitgo 2011-01-12 19:37:11 EST
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/bin/printer-applet
comment: occurs after startup
component: kdeutils
executable: /usr/bin/printer-applet
kernel: 2.6.37-2.fc15.i686
package: kdeutils-printer-applet-6:4.5.95-1.fc15
reason: uiparser.py:161:createWidget:AttributeError: 'module' object has no attribute 'StackedWidget'
release: Fedora release 15 (Rawhide)
time: 1294849794
uid: 501

backtrace
-----
uiparser.py:161:createWidget:AttributeError: 'module' object has no attribute 'StackedWidget'

Traceback (most recent call last):
  File "/usr/bin/printer-applet", line 1163, in <module>
    applet = JobManager()
  File "/usr/bin/printer-applet", line 241, in __init__
    uic.loadUi(unicode(APPDIR + '/' + "printer-applet.ui"), self.mainWindow)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/__init__.py", line 185, in loadUi
    return DynamicUILoader().loadUi(uifile, baseinstance)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/Loader/loader.py", line 35, in loadUi
    return self.parse(filename, basedir)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/uiparser.py", line 839, in parse
    actor(elem)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/uiparser.py", line 686, in createUserInterface
    self.traverseWidgetTree(elem)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/uiparser.py", line 664, in traverseWidgetTree
    handler(self, child)
  File "/usr/lib/python2.7/site-packages/PyQt4/uic/uiparser.py", line 161, in createWidget
    QtGui.QScrollArea, QtGui.StackedWidget,
AttributeError: 'module' object has no attribute 'StackedWidget'

Local variables in innermost frame:
self: <PyQt4.uic.Loader.loader.DynamicUILoader object at 0xb7253fac>
widget_class: 'QWidget'
parent: <__main__.MainWindow object at 0xb724977c>
elem: <Element 'widget' at 0xb5423dcc>

How to reproduce
-----
1.on boot
2.
3.
Comment 1 satellitgo 2011-01-12 19:37:13 EST
Created attachment 473168 [details]
File: backtrace
Comment 2 Rex Dieter 2011-01-13 08:29:58 EST
Looks like a PyQt4 problem, see bug #668289
Comment 3 STEVEN WARD 2011-01-15 18:31:03 EST
Package: kdeutils-printer-applet-6:4.5.95-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Rawhide)


How to reproduce
-----
1.Log into the latest Fedora Nightly build(2011-14-01)
2.
3.
Comment 4 Rex Dieter 2011-03-10 09:03:53 EST
Confirmed ok in f15-alpha, with PyQt4-4.8.3-2.f15 and kdeutils-4.6.1-1.fc15

Note You need to log in before you can comment on or make changes to this bug.